# DXGfxLib.TexturedPlane Class Reference

This class is used by the water class for exemple. It just makes a plane :). More...

Inherits DXGfxLib::MeshObject, and DXGfxLib::MeshObject.

Inherited by DXGfxLib.Billboard, DXGfxLib.Billboard, DXGfxLib.Water, and DXGfxLib.Water.

Collaboration diagram for DXGfxLib.TexturedPlane:

[legend]

List of all members.

## Public Member Functions
| TexturedPlane ()
| This constructor without parameters is needed for serialization purposes.
| TexturedPlane (int width, int heigth, int numVertX, int numVertZ, string texturefile)
| TexturedPlane (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
| This constructor is the one you might use in your own code to get a plane.
virtual void | Init (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
override void | Dispose ()
| Most SceneObjects don't need to Dispose any ressource. In fact most of the time DX ressources are only attached to them, the scene object itself does not have the responsability to load or dispose them, we leave that responsability to the code which has loaded the ressource and attached it to a scene object. The only exception to this are terrain tiles, these are scene objects very specific and create there own vertex, index buffer from the information provided on the terrain creation. They need to dispose this (along with the textures loaded and everything).
void | ResetDevice (Device device)
| This method will be called when the device is changed.
override void | Draw (Device device)
| This method will be called from the Graphics.Manager once it has been decided that the plane is indeed in the viewing frustrum and once the ISceneObject to be rendered have been sorted to avoid unecessary state changes or unecessary loading/unloading of geometry from video memory.
| TexturedPlane ()
| This constructor without parameters is needed for serialization purposes.
| TexturedPlane (int width, int heigth, int numVertX, int numVertZ, string texturefile)
| TexturedPlane (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
| This constructor is the one you might use in your own code to get a plane.
virtual void | Init (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
override void | Dispose ()
| Most SceneObjects don't need to Dispose any ressource. In fact most of the time DX ressources are only attached to them, the scene object itself does not have the responsability to load or dispose them, we leave that responsability to the code which has loaded the ressource and attached it to a scene object. The only exception to this are terrain tiles, these are scene objects very specific and create there own vertex, index buffer from the information provided on the terrain creation. They need to dispose this (along with the textures loaded and everything).
void | ResetDevice (Device device)
| This method will be called when the device is changed.
override void | Draw (Device device)
| This method will be called from the Graphics.Manager once it has been decided that the plane is indeed in the viewing frustrum and once the ISceneObject to be rendered have been sorted to avoid unecessary state changes or unecessary loading/unloading of geometry from video memory.
## Public Attributes
Texture | texture
| If this member is set our plane will be rendered with that texture.
Material | material
| If this is set it will be used if we render the plane.
int | width
| The width of the plane. This class make plane that have eq like a*y = b so the width is in fact the desired dimension along the X axis.
int | heigth
| See comments to width member. The heigth would then be the desired dimension along the Z axis. Remember that Z is going away to the infinite, Y is going up and X is going right.
float | yPos
| This class builds planes that have eq like y = yPos.
int | numVertX
| The desired number of vertices along the X axis.
int | numVertZ
| The desired number of vertices along the Z axis.
string | textureFileName

## Detailed Description

This class is used by the water class for exemple. It just makes a plane :).

Definition at line 31 of file TexturedPlane.cs.

## Constructor & Destructor Documentation

DXGfxLib.TexturedPlane.TexturedPlane | ( |  | ) |

This constructor without parameters is needed for serialization purposes.

Definition at line 71 of file TexturedPlane.cs.

DXGfxLib.TexturedPlane.TexturedPlane | ( | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

Definition at line 75 of file TexturedPlane.cs.

Here is the call graph for this function:

DXGfxLib.TexturedPlane.TexturedPlane | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

This constructor is the one you might use in your own code to get a plane.

Parameters:

  | width |
  | heigth |
  | numVertX |
  | numVertZ |
  | texturefile |

Definition at line 92 of file TexturedPlane.cs.

Here is the call graph for this function:

DXGfxLib.TexturedPlane.TexturedPlane | ( |  | ) |

This constructor without parameters is needed for serialization purposes.

Definition at line 71 of file TexturedPlane.cs.

DXGfxLib.TexturedPlane.TexturedPlane | ( | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

Definition at line 75 of file TexturedPlane.cs.

Here is the call graph for this function:

DXGfxLib.TexturedPlane.TexturedPlane | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

This constructor is the one you might use in your own code to get a plane.

Parameters:

  | width |
  | heigth |
  | numVertX |
  | numVertZ |
  | texturefile |

Definition at line 92 of file TexturedPlane.cs.

Here is the call graph for this function:

## Member Function Documentation

override void DXGfxLib.TexturedPlane.Dispose | ( |  | ) | `[virtual]`

Most SceneObjects don't need to Dispose any ressource. In fact most of the time DX ressources are only attached to them, the scene object itself does not have the responsability to load or dispose them, we leave that responsability to the code which has loaded the ressource and attached it to a scene object. The only exception to this are terrain tiles, these are scene objects very specific and create there own vertex, index buffer from the information provided on the terrain creation. They need to dispose this (along with the textures loaded and everything).

Reimplemented from DXGfxLib.SceneObject.

Definition at line 220 of file TexturedPlane.cs.

override void DXGfxLib.TexturedPlane.Dispose | ( |  | ) | `[virtual]`

Most SceneObjects don't need to Dispose any ressource. In fact most of the time DX ressources are only attached to them, the scene object itself does not have the responsability to load or dispose them, we leave that responsability to the code which has loaded the ressource and attached it to a scene object. The only exception to this are terrain tiles, these are scene objects very specific and create there own vertex, index buffer from the information provided on the terrain creation. They need to dispose this (along with the textures loaded and everything).

Reimplemented from DXGfxLib.SceneObject.

Definition at line 220 of file TexturedPlane.cs.

override void DXGfxLib.TexturedPlane.Draw | ( | Device | device | ) | `[virtual]`

This method will be called from the Graphics.Manager once it has been decided that the plane is indeed in the viewing frustrum and once the ISceneObject to be rendered have been sorted to avoid unecessary state changes or unecessary loading/unloading of geometry from video memory.

Reimplemented from DXGfxLib.MeshObject.

Reimplemented in DXGfxLib.Billboard, DXGfxLib.Water, DXGfxLib.Billboard, and DXGfxLib.Water.

Definition at line 239 of file TexturedPlane.cs.

override void DXGfxLib.TexturedPlane.Draw | ( | Device | device | ) | `[virtual]`

This method will be called from the Graphics.Manager once it has been decided that the plane is indeed in the viewing frustrum and once the ISceneObject to be rendered have been sorted to avoid unecessary state changes or unecessary loading/unloading of geometry from video memory.

Reimplemented from DXGfxLib.MeshObject.

Reimplemented in DXGfxLib.Billboard, DXGfxLib.Water, DXGfxLib.Billboard, and DXGfxLib.Water.

Definition at line 239 of file TexturedPlane.cs.

virtual void DXGfxLib.TexturedPlane.Init | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  | `[virtual]`

Reimplemented in DXGfxLib.Water, and DXGfxLib.Water.

Definition at line 97 of file TexturedPlane.cs.

Here is the call graph for this function:

virtual void DXGfxLib.TexturedPlane.Init | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  | `[virtual]`

Reimplemented in DXGfxLib.Water, and DXGfxLib.Water.

Definition at line 97 of file TexturedPlane.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void DXGfxLib.TexturedPlane.ResetDevice | ( | Device | device | ) |

This method will be called when the device is changed.

Parameters:

  | device |

Definition at line 228 of file TexturedPlane.cs.

void DXGfxLib.TexturedPlane.ResetDevice | ( | Device | device | ) |

This method will be called when the device is changed.

Parameters:

  | device |

Definition at line 228 of file TexturedPlane.cs.

## Member Data Documentation

int DXGfxLib.TexturedPlane::heigth

See comments to width member. The heigth would then be the desired dimension along the Z axis. Remember that Z is going away to the infinite, Y is going up and X is going right.

Definition at line 52 of file TexturedPlane.cs.

Material DXGfxLib.TexturedPlane::material

If this is set it will be used if we render the plane.

Definition at line 42 of file TexturedPlane.cs.

int DXGfxLib.TexturedPlane::numVertX

The desired number of vertices along the X axis.

Definition at line 60 of file TexturedPlane.cs.

int DXGfxLib.TexturedPlane::numVertZ

The desired number of vertices along the Z axis.

Definition at line 64 of file TexturedPlane.cs.

Texture DXGfxLib.TexturedPlane::texture

If this member is set our plane will be rendered with that texture.

Definition at line 38 of file TexturedPlane.cs.

string DXGfxLib.TexturedPlane::textureFileName

Definition at line 66 of file TexturedPlane.cs.

int DXGfxLib.TexturedPlane::width

The width of the plane. This class make plane that have eq like a*y = b so the width is in fact the desired dimension along the X axis.

Definition at line 47 of file TexturedPlane.cs.

float DXGfxLib.TexturedPlane::yPos

This class builds planes that have eq like y = yPos.

Definition at line 56 of file TexturedPlane.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/TexturedPlane.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/TexturedPlane.cs